# Datasketch CMS

This service is built using the [Wagtail](http://docs.wagtail.io/en/v2.3/) framework.

## Middleware

Since this application is being deployed to a Docker swarm it utilizes [Whitenoise](http://whitenoise.evans.io/en/stable/) and the Django specific whitenoise middleware to deliver static content. This solution is suitable for serving low traffic static content. To improve performance an Nginx reverse proxy could leverage HTTP caching or could be configured to serve all static content directly.

## Environmental Variables

The follow environment variables must be set for development. Note that the DB_PASSWD for production must be a docker secret.

```
DB_HOST=<hostname for database>
DB_PASSWD=ec<Password for datasketch user>
```

In production you must set the `DJANGO_SETTINGS_MODULE` to the appropriate module:

```
DJANGO_SETTINGS_MODULE=cms.settings.production
```

## Migrations

The `manage.py` file is used to upgrade the backend database. You will need to log into the container on the appropriate host and execute the command `python manage.py migrate` manually.
